
import java.rmi.*;
import java.rmi.server.UnicastRemoteObject;

public class 
NetPlayer extends UnicastRemoteObject implements NetPlayerInterface
{
    private String name;
    private String originatorId;

    public NetPlayer(String s) throws RemoteException 
    {
        super();
        name = s;
    }

    public String sayHello() throws RemoteException 
    {
                return  "Hello World!";
    }

    public 
    void push(Message aMess) throws java.rmi.RemoteException
    {
        
         System.out.println(" Message Received ");
       
    }

    public 
    String getOriginatorId() throws java.rmi.RemoteException
    {
       return originatorId;
    }

    public 
    String getName() throws java.rmi.RemoteException
    {

       return name;
    }

        /*
        public static void main(String args[])
        {
                // Create and install a security manager
                System.setSecurityManager(new RMISecurityManager());

                try {
                        HelloImpl obj = new HelloImpl("HelloServer");
                        Naming.rebind("//myhost/HelloServer", obj);
                        System.out.println("HelloServer bound in registry");

                } catch (Exception e) {
                        System.out.println("HelloImpl err: " + e.getMessage());
                        e.printStackTrace();
                }
        }
        */

}// end of NetPlayer

